### Method

# Camel CertDB list_certs

since: 3.16

#### Declaration [src]

    GSList*
    camel_certdb_list_certs (
      CamelCertDB* certdb
    )

#### Description [src]

Gathers a list of known certificates. Each certificate in the returned `GSList` is referenced, thus unref it with `camel_cert_unref()` when done with it, the same as free the list itself.

Available since: 3.16

#### Return value

Type: A list of `CamelCert*`

Newly allocated list of referenced CamelCert-s, which are stored in the `certdb`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.